package de.avatic.taricdb.helper.workbook;

public enum ExcelFileType {
	DUTIES("Duties Import 01-99.xlsx"),
	BUSINESS_CODE("TARIC Business codes.xlsx"),
	GEO_COMPOSITION("Geographical areas composition.xlsx"),
	GEO("Geographical areas descriptions.xlsx"),
	LEGAL_BASES("Legal bases.xlsx"),
	MEASURE_CONDITIONS("Measure conditions.xlsx"),
	MEASURE_EXCLUSIONS("Measure exclusions.xlsx"),
	MEASURE_FOOTNOTES("Measure footnotes.xlsx"),
	NOMENCLATURE_DE("Nomenclature DE.xlsx"),
	NOMENCLATURE_FR("Nomenclature FR.xlsx"),
	NOMENCLATURE_EN("Nomenclature EN.xlsx"),
	DECLARABLE_CODES("Declarable codes.xlsx"),
	ADDITIONAL_CODES("Additional codes descriptions.xlsx"), //OK
	BOX_44("Box 44 codes of the SAD.xlsx"),
	FOOTNOTES("Footnotes descriptions.xlsx"),
	NOMENCLATURE_FOOTNOTES("Nomenclature footnotes.xlsx");

	private String fileName;


	ExcelFileType(String fileName) {
		this.fileName = fileName;
	}
	
	public String getFileName() {
		return fileName;
	}
	
	public static ExcelFileType fromFileName(String fileName) {
		for (ExcelFileType type : values()) {
			if (type.fileName.equals(fileName)) {
				return type;
			}
		}
		return null;
	}

}
